Skip to main content

React starter pack

Suggest edit Updated on December 3, 2021

Based on the React 17 framework, use the React starter pack to build a custom React front-end experience for applications from which users can view, create, and update Pega cases and assignments. See Supported features for a full list of components that you can create using the React starter pack.

Minimum required development environment

You will need the following to set up a development environment to create components using the React starter pack:

  • Node version 14.16.1. Download the required version here.
  • NPM version 7.11.2. Automatically downloaded with Node.
  • (Optional) NVM version 0.37.2. See nvm-sh for details.
  • IDE such as Visual Studio Code or ATOM
Did you find this content helpful? YesNo

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Ready to crush complexity?

Experience the benefits of Pega Community when you log in.

We'd prefer it if you saw us at our best.

Pega.com is not optimized for Internet Explorer. For the optimal experience, please use:

Close Deprecation Notice
Contact us